$AdfDhtmlInputNumberSpinboxPeer$$.$_SUB_ID_MAP$ = {increment:"increment", decrement:"decrement"};
$AdfDhtmlInputNumberSpinboxPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlInputNumberSpinboxPeer$$$$$GetSubIdDomElement$$($subElementId$$30$$) {
  var $component$$2429$$ = this.$getComponent$();
  return $AdfSubIdUtils$$.$getSubIdDomElementDelegateSuper$($subElementId$$30$$, $AdfDhtmlInputNumberSpinboxPeer$$.$_SUB_ID_MAP$, $component$$2429$$, this, $AdfDhtmlInputNumberSpinboxPeer$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputNumberSpinboxPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlInputNumberSpinboxPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlInputNumberSpinboxPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlInputNumberSpinboxPeer$$$$$GetBestMatchSubId$$($domElement$$651$$) {
  return $AdfSubIdUtils$$.$getBestMatchSubIdDelegateSuper$($domElement$$651$$, this, $AdfDhtmlInputNumberSpinboxPeer$$.$_SUB_ID_MAP$, $AdfDhtmlInputNumberSpinboxPeer$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputNumberSpinboxPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlInputNumberSpinboxPeer$$.prototype.$GetBestMatchSubId$});
